package com.reglamb.projvehimerc.service;

import java.util.List;

import org.springframework.dao.DataAccessException;

import com.reglamb.projvehimerc.domain.Conductor;
import com.reglamb.projvehimerc.domain.HabilitacionVehicular_Inscripcion;
import com.reglamb.projvehimerc.domain.TransportistaJuridico;
import com.reglamb.projvehimerc.domain.TransportistaNatural;
import com.reglamb.projvehimerc.domain.Transportista_Ubigeo;
import com.reglamb.projvehimerc.domain.Vehiculo;
import com.reglamb.projvehimerc.domain.transportista.Transportista_Accionista;
import com.reglamb.projvehimerc.domain.transportista.Transportista_Representante;
import com.reglamb.projvehimerc.domain.transportista.Transportista_Sucursal;
import com.reglamb.projvehimerc.domain.vehiculo.Vehiculo_Citv;
import com.reglamb.projvehimerc.domain.vehiculo.Vehiculo_Soat;
import com.reglamb.projvehimerc.domain.vehiculo.Vehiculo_Tenencia;

public interface HabilitacionVehicular_InscripcionFacade {
	
	/*Proceso Inscripcion*/
	public void saveHabilitacionVehicularInscrip(
			HabilitacionVehicular_Inscripcion habilitacioninscrip);

	public List<HabilitacionVehicular_Inscripcion> getAllHabilitacionVehicularInscrip(
			HabilitacionVehicular_Inscripcion habilitacioninscrip);

	/*Transportista*/
	public void saveTransportistaJuridDao(
			TransportistaJuridico transportistajurid) throws DataAccessException;

	public List<TransportistaJuridico> getAllTransportistaJuridDao(
			TransportistaJuridico transportistajurid) throws DataAccessException;

	public void saveTransportistaNatuDao(TransportistaNatural transportistanatu);

	public List<TransportistaNatural> getAllTransportistaNatuDao(
			TransportistaNatural transportistanatu) throws DataAccessException;
	
	public void saveTransportistaSucursal(
			Transportista_Sucursal transportistasucu) throws DataAccessException;

	public List<Transportista_Sucursal> getAllTransportistaSucursal(
			Transportista_Sucursal transportistasucu) throws DataAccessException;

	public void saveTransportistaRepresentate(
			Transportista_Representante transportistarepre) throws DataAccessException;

	public List<Transportista_Representante> getAllTransportistaRepresentate(
			Transportista_Representante transportistarepre) throws DataAccessException;

	public void saveTransportistaAccionista(
			Transportista_Accionista transportistasaccio) throws DataAccessException;

	public List<Transportista_Accionista> getAllTransportistaAccionista(
			Transportista_Accionista transportistasaccio) throws DataAccessException;

	public void saveTransportistaubi(Transportista_Ubigeo transportistaubi) throws DataAccessException;

	public List<Transportista_Ubigeo> getAllTransportistaubi(
			Transportista_Ubigeo transportistaubi) throws DataAccessException;
	
	/*Vehiculo*/
	public void saveVehiculo(Vehiculo vehiculo) throws DataAccessException;

	public List<Vehiculo> getAllVehiculo(Vehiculo vehiculo) throws DataAccessException;
	
	public void saveVehiculoCitv(Vehiculo_Citv vehiculocitv) throws DataAccessException;

	public List<Vehiculo_Citv> getAllVehiculoCitv(Vehiculo_Citv vehiculocitv) throws DataAccessException;

	public void saveVehiculoSoat(Vehiculo_Soat vehiculosoat) throws DataAccessException;

	public List<Vehiculo_Soat> getAllVehiculoSoat(Vehiculo_Soat vehiculosoat) throws DataAccessException;

	public void saveVehiculoTenencia(Vehiculo_Tenencia vehiculotenencia) throws DataAccessException;

	public List<Vehiculo_Tenencia> getAllVehiculoTenencia(
			Vehiculo_Tenencia vehiculotenencia) throws DataAccessException;
	
	/*Conductor*/
	public void saveConductor(Conductor conductor) throws DataAccessException;

	public List<Conductor> getAllConductor(Conductor conductor) throws DataAccessException;

}
